# Docker Container Templates

Repository for ready-to-go Services running in docker containers via docker-compose. The focus is on selfhosting the services to have full control about your data.

#### requirements:

- installed system with docker-compose
- access to /services, most services will be running there

#### services:

- Adguard Home
  - running your own adblocker within your network
  - further services like dhpc server included
- Caddy
  - ready-to-go proxy which automatically provide SSL certs for your domains
- FreshRSS
  - runnning your own hub for Reading RSS feeds from different sources
- Ghost
  - blogging platform to create your own blog site
- Gitea
  - running your own lightweight Github similar instance
- Gogs
  - running your own lightweight Github similar instance
- InfluxDB / Grafana / Telegraf / Caddy
  - all in one container stack for running a stack for fetching, storing and visualizing time series data
  - secured by Caddy proxy
- Nextcloud
  - selfhosted file storage and sharing platform
- Seafile
  - selfhosted file storage and sharing platform
- Unifi Controller
  - selfhosted Unifi controller for managing Ubiquiti Access points  
- Uptime Kuma
  - simple monitoring solution for your services including telegram notifications
- Vaultwarden
  - running your own Bitwarden similar instance for storing your credentials
